;InnoSetupVersion=5.2.3

[Setup]
AppName=Beyond Compare 3
AppVerName=Beyond Compare Version 3.0.10
AppId=BeyondCompare3
AppPublisher=Scooter Software
AppPublisherURL=http://www.scootersoftware.com/
AppSupportURL=http://www.scootersoftware.com/
AppUpdatesURL=http://www.scootersoftware.com/
AppMutex=BeyondCompare3,Global\BeyondCompare3
DefaultDirName={code:DefaultDirName}\Beyond Compare 3
DefaultGroupName=Beyond Compare 3
UninstallDisplayIcon={app}\BCompare.exe
OutputBaseFilename=in
Compression=lzma
PrivilegesRequired=none
ChangesAssociations=yes
AllowNoIcons=yes
LicenseFile=embedded\License.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\BCompare.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\BCompare.chm"; DestDir: "{app}"; 
Source: "{app}\License.html"; DestDir: "{app}"; 
Source: "{app}\BComp.com"; DestDir: "{app}"; 
Source: "{app}\BComp.exe"; DestDir: "{app}"; 
Source: "{app}\BCShellEx.dll"; DestDir: "{app}"; Check: "IsShellInstall"; Flags: restartreplace uninsrestartdelete 
Source: "{app}\BCShellEx64.dll"; DestDir: "{app}"; Check: "not IsPortableInstall"; Flags: restartreplace uninsrestartdelete 
Source: "{app}\Readme.txt"; DestDir: "{app}"; 
Source: "{app}\Helpers\PdfToText.exe"; DestDir: "{app}\Helpers"; 
Source: "{app}\Helpers\XLS_to_CSV_Single.vbs"; DestDir: "{app}\Helpers"; 
Source: "{app}\unrar.dll"; DestDir: "{app}"; 
Source: "{app}\7zxa.dll"; DestDir: "{app}"; 
Source: "{app}\UACLaunch.exe"; DestDir: "{app}"; MinVersion: 0.0,6.0; Flags: deleteafterinstall 
; Source: "{app}\,1"; DestDir: "{app}"; Check: "NeedsNewStateXml"; Flags: onlyifdoesntexist 
; Source: "{app}\,2"; DestDir: "{app}"; Flags: skipifsourcedoesntexist 

[Registry]
Root: HKLM; Subkey: "Software\Scooter Software\Beyond Compare 3"; Check: "IsRegistryInstall"; Flags: uninsdeletekey noerror 
Root: HKLM; Subkey: "Software\Scooter Software\Beyond Compare 3"; ValueName: "ExePath"; ValueType: String; ValueData: "{app}\BCompare.exe"; Check: "IsRegistryInstall"; Flags: noerror 
Root: HKLM; Subkey: "Software\Scooter Software\Beyond Compare 3"; ValueName: "Version"; ValueType: String; ValueData: "3.0.10.9357"; Check: "IsRegistryInstall"; Flags: noerror 
Root: HKCU; Subkey: "Software\Scooter Software\Beyond Compare 3"; Check: "IsRegistryInstall"; Flags: uninsdeletekey noerror 
Root: HKCU; Subkey: "Software\Scooter Software\Beyond Compare 3"; ValueName: "ExePath"; ValueType: String; ValueData: "{app}\BCompare.exe"; Check: "IsRegistryInstall"; Flags: noerror 
Root: HKCU; Subkey: "Software\Scooter Software\Beyond Compare 3"; ValueName: "Version"; ValueType: String; ValueData: "3.0.10.9357"; Check: "IsRegistryInstall"; Flags: noerror 
Root: HKCR; Subkey: ".bcpkg"; ValueType: String; ValueData: "BeyondCompare.SettingsPackage"; Check: "IsRegistryInstall"; Flags: uninsdeletekey noerror 
Root: HKCR; Subkey: "BeyondCompare.SettingsPackage"; ValueType: String; ValueData: "Beyond Compare Settings Package"; Check: "IsRegistryInstall"; Flags: uninsdeletekey noerror 
Root: HKCR; Subkey: "BeyondCompare.SettingsPackage\DefaultIcon"; ValueType: String; ValueData: "{app}\BCompare.exe,0"; Check: "IsRegistryInstall"; Flags: noerror 
Root: HKCR; Subkey: "BeyondCompare.SettingsPackage\shell\open\command"; ValueType: String; ValueData: """{app}\BCompare.exe"" ""%1"""; Check: "IsRegistryInstall"; Flags: noerror 
Root: HKCR; Subkey: ".bcss"; ValueType: String; ValueData: "BeyondCompare.Snapshot"; Check: "IsRegistryInstall"; Flags: uninsdeletekey noerror 
Root: HKCR; Subkey: "BeyondCompare.Snapshot"; ValueType: String; ValueData: "Beyond Compare Snapshot"; Check: "IsRegistryInstall"; Flags: uninsdeletekey noerror 
Root: HKCR; Subkey: "BeyondCompare.Snapshot\DefaultIcon"; ValueType: String; ValueData: "{app}\BCompare.exe,0"; Check: "IsRegistryInstall"; Flags: noerror 
Root: HKCR; Subkey: "BeyondCompare.Snapshot\shell\open\command"; ValueType: String; ValueData: """{app}\BCompare.exe"" ""%1"""; Check: "IsRegistryInstall"; Flags: noerror 
Root: HKLM; Subkey: "System\CurrentControlSet\Services\EventLog\Application\Beyond Compare 3"; Check: "IsRegistryInstall"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "System\CurrentControlSet\Services\EventLog\Application\Beyond Compare 3"; ValueName: "EventMessageFile"; ValueType: String; ValueData: "{app}\BCompare.exe"; Check: "IsRegistryInstall"; 
Root: HKLM; Subkey: "System\CurrentControlSet\Services\EventLog\Application\Beyond Compare 3"; ValueName: "TypesSupported"; ValueType: Dword; ValueData: "$7"; Check: "IsRegistryInstall"; 

[Run]
Filename: "{app}\BCompare.exe"; Parameters: "{code:RunAppParams}"; Description: "Launch application"; Check: "IsAutoUpdate or not WizardSilent"; OnlyBelowVersion: 0.0,6.0; Flags: postinstall nowait
Filename: "{app}\UACLaunch.exe"; Parameters: """{app}\BCompare.exe"" {code:RunAppParams}"; Description: "Launch application"; Check: "IsAutoUpdate or not WizardSilent"; MinVersion: 0.0,6.0; Flags: postinstall 

[Icons]
Name: "{code:icongroup}\Beyond Compare 3"; Filename: "{app}\BCompare.exe"; Check: "IsStdInstall"; 
Name: "{code:icongroup}\Beyond Compare 3 Help"; Filename: "{app}\BCompare.chm"; Check: "IsStdInstall"; 
Name: "{code:icongroup}\Uninstall Beyond Compare 3"; Filename: "{uninstallexe}"; Check: "IsStdInstall"; 
Name: "{code:icondesktop}\Beyond Compare 3"; Filename: "{app}\BCompare.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\Beyond Compare 3"; Filename: "{app}\BCompare.exe"; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; Check: "IsStdInstall"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; Check: "IsStdInstall"; 
Name: "shellextension"; Description: "Include in &Explorer context menu"; GroupDescription: "Additional icons:"; Check: "IsStdInstall"; 

[InstallDelete]
Type: files; Name: "{app}\BCompare.tr"; 

[CustomMessages]
en.NameAndVersion=%1 version %2
en.AdditionalIcons=Additional icons:
en.CreateDesktopIcon=Create a &desktop icon
en.CreateQuickLaunchIcon=Create a &Quick Launch icon
en.ProgramOnTheWeb=%1 on the Web
en.UninstallProgram=Uninstall %1
en.LaunchProgram=Launch %1
en.AssocFileExtension=&Associate %1 with the %2 file extension
en.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "en"; MessagesFile: "embedded\en.isl"; 
